<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::pixel_traits&lt; rgb_alpha_pixel &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1pixel__traits_3_01rgb__alpha__pixel_01_4.html">pixel_traits&lt; rgb_alpha_pixel &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1pixel__traits_3_01rgb__alpha__pixel_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::pixel_traits&lt; rgb_alpha_pixel &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a6c8187bc8774af9368a403057a74bf1e"><td class="memItemLeft" align="right" valign="top"><a id="a6c8187bc8774af9368a403057a74bf1e"></a>
typedef unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>basic_pixel_type</b></td></tr>
<tr class="separator:a6c8187bc8774af9368a403057a74bf1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a2963a919f26550215e106aa7b81f1a2c"><td class="memItemLeft" align="right" valign="top"><a id="a2963a919f26550215e106aa7b81f1a2c"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> ()</td></tr>
<tr class="separator:a2963a919f26550215e106aa7b81f1a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a338d2fe958781ee804bec07cc3212ea1"><td class="memItemLeft" align="right" valign="top"><a id="a338d2fe958781ee804bec07cc3212ea1"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> ()</td></tr>
<tr class="separator:a338d2fe958781ee804bec07cc3212ea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:aed238eef6e9c1362eef1af6906251380"><td class="memItemLeft" align="right" valign="top"><a id="aed238eef6e9c1362eef1af6906251380"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb</b> = false</td></tr>
<tr class="separator:aed238eef6e9c1362eef1af6906251380"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe68a247c056dee66bc1c430fd426430"><td class="memItemLeft" align="right" valign="top"><a id="abe68a247c056dee66bc1c430fd426430"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb_alpha</b> = true</td></tr>
<tr class="separator:abe68a247c056dee66bc1c430fd426430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6817e9710ffb3bbd3ce83e05f9541cd"><td class="memItemLeft" align="right" valign="top"><a id="af6817e9710ffb3bbd3ce83e05f9541cd"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>grayscale</b> = false</td></tr>
<tr class="separator:af6817e9710ffb3bbd3ce83e05f9541cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a92f9b421618c75432eef0aede06db"><td class="memItemLeft" align="right" valign="top"><a id="ad4a92f9b421618c75432eef0aede06db"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>hsi</b> = false</td></tr>
<tr class="separator:ad4a92f9b421618c75432eef0aede06db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a440d908b0bb2621432309391ce81d6f7"><td class="memItemLeft" align="right" valign="top"><a id="a440d908b0bb2621432309391ce81d6f7"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>num</b> = 4</td></tr>
<tr class="separator:a440d908b0bb2621432309391ce81d6f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67ed2ba93d67d971c5b64db7cba5b68c"><td class="memItemLeft" align="right" valign="top"><a id="a67ed2ba93d67d971c5b64db7cba5b68c"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_unsigned</b> = true</td></tr>
<tr class="separator:a67ed2ba93d67d971c5b64db7cba5b68c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f039f49856a73a92eac77430c71b6e"><td class="memItemLeft" align="right" valign="top"><a id="ae5f039f49856a73a92eac77430c71b6e"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_alpha</b> = true</td></tr>
<tr class="separator:ae5f039f49856a73a92eac77430c71b6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pixel_8h_source.html">pixel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
